%define release_name Laughin
%define dist_version 14

Summary:	Fuduntu customizations package
Name:		fuduntu-customizations
Version:	14
Release:	7.4
License:	GPLv2
Group:		System Environment/Base
URL:		http://www.sf.net/projects/fuduntu
Source:		%{name}-%{version}.tar.bz2
Requires:	fuduntu-release
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Tweaks and configuration items used to create Fuduntu

%prep
%setup -q

%build

%pre
if [ -e "/etc/rpm/macros.lang" ]; then
  rm /etc/rpm/macros.lang 2>/dev/null || true
fi

%post

### Remove the old cgroups cruft
if [ "$(grep cgroup /etc/rc.local)" ]; then
  sed -i '/mkdir -p/,/mkdir -m/d' /etc/rc.local
fi

if [ "$(grep cgroup/cpu /etc/bashrc)" ]; then
  sed -i '/if \[ \"\$PS1\" \] ; then/,/fi/d' /etc/bashrc
fi

chkconfig cgroups on >/dev/null 2>&1 || true
/etc/init.d/cgroups start >/dev/null 2>&1 || true

if [ -e "/var/fuduntu/firefox" ]; then
  rm /var/fuduntu/firefox 2>/dev/null || true
fi

chkconfig fuduntutweak on >/dev/null 2>&1 || true
/etc/init.d/fuduntutweak start >/dev/null 2>&1 || true

### Disable OOo quickstart until I can fix transparency
if [ -e "/etc/skel/.config/autostart/qstart.desktop" ]; then
  rm /etc/skel/.config/autostart/qstart.desktop 2>/dev/null
fi

if [ -e "/etc/xdg/autostart/qstart.desktop" ]; then
  rm /etc/xdg/autostart/qstart.desktop 2>/dev/null
fi

### Configure RPM to only install language files for the default language
if [ "$(grep RPMLANGS /etc/rpm/macros.lang 2>/dev/null)" ]; then
  RPMLANGL=$(echo $LANG | sed "s#\..*##")
  RPMLANGS=$(echo $RPMLANGL | sed "s#_.*##")
  sed -i "s#RPMLANGS#$RPMLANGS#" /etc/rpm/macros.lang
  sed -i "s#RPMLANGL#$RPMLANGL#" /etc/rpm/macros.lang
  cd /usr/share/locale
  rm -rf $(for i in $(ls | grep -v $(echo $LANG | sed "s#\..*\$##")); do echo $i; done)
fi

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/profile.d
install -m 755 tweaks/etc/profile.d/prompt.sh $RPM_BUILD_ROOT/etc/profile.d
install -m 755 tweaks/etc/profile.d/cgroups.sh $RPM_BUILD_ROOT/etc/profile.d

install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -m 755 tweaks/etc/init.d/cgroups $RPM_BUILD_ROOT/etc/init.d
install -m 755 tweaks/etc/init.d/fuduntutweak $RPM_BUILD_ROOT/etc/init.d

install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
install -m 755 tweaks/etc/rpm/macros.lang $RPM_BUILD_ROOT/etc/rpm
install -m 755 tweaks/etc/rpm/macros.nodocs $RPM_BUILD_ROOT/etc/rpm

install -d -m 755 $RPM_BUILD_ROOT/usr/local/sbin
install -m 755 tweaks/usr/local/sbin/cgroup_clean $RPM_BUILD_ROOT/usr/local/sbin/cgroup_clean

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/init.d/cgroups
/etc/init.d/fuduntutweak
/etc/profile.d/cgroups.sh
/etc/profile.d/prompt.sh
/usr/local/sbin/cgroup_clean
/etc/rpm/macros.lang
/etc/rpm/macros.nodocs

%changelog
* Sat Dec 11 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-7.3
- Disabled nodocs macro while troubleshooting incompatibilty with VirtualBox
- Altered firefox tweak to replace the right start page

* Fri Dec 10 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-7.1
- Cleaned up firefox tweak

* Thu Dec 09 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-7.0
- Retired deadline check since it is now in-kernel
- Altered fuduntu tweak script to run once for each tweak
- Do not install documentation with RPMs by default

* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-6.2
- Moved some tweaks to init script

* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-6.1
- Created to correct issues when building ISO from kickstart
- All tweaks moved here
